export interface Tool {
	name: string;
	plate: string;
	ilosc_zebow: number;
	rodzajFrezowania: number;
	rodzajObrobki: number;
	material: number;
	chropowatosc: number;
	tolerancja: number;
	szerokoscSkrawania: number;
	glebokoscSkrawania: number;
	predkoscObrotowaWrzeciona: number;
	predkoscSkrawania: number;
	predkoscPosuwu: number;
	posuwNaOstrze: number;
	posuwNaObrot: number;
	wydajnoscObjetosciowa: number;
}
interface Database {
	name: string;
	version: string;
	tools: Tool[];
}

export const toolsDatabase: Database = {
	name: "Baza narzędzi obróbki skrawaniem",
	version: "1.0",
	tools: [
		{
			ilosc_zebow: 3,
			rodzajFrezowania: 1,
			rodzajObrobki: 0,
			material: 1,
			chropowatosc: 0,
			tolerancja: 0,
			glebokoscSkrawania: 5,
			szerokoscSkrawania: 20,
			name: "Coromill 390 R390-20T10-11M",
			plate: "R390-11 T3 08M-MM 1040",
			predkoscObrotowaWrzeciona: 2680,
			predkoscSkrawania: 168,
			predkoscPosuwu: 1090,
			posuwNaOstrze: 0.136,
			posuwNaObrot: 0.407,
			wydajnoscObjetosciowa: 64.8,
		},
		{
			ilosc_zebow: 3,
			rodzajFrezowania: 0,
			rodzajObrobki: 1,
			material: 2,
			chropowatosc: 0,
			tolerancja: 0,
			glebokoscSkrawania: 5,
			szerokoscSkrawania: 44.5,
			name: "CoroMill 245 R245-032A32-12M",
			plate: "R245-12 T3 E1 6190",
			predkoscObrotowaWrzeciona: 13800,
			predkoscSkrawania: 1520,
			predkoscPosuwu: 4420,
			posuwNaOstrze: 0.107,
			posuwNaObrot: 0.32,
			wydajnoscObjetosciowa: 55.3,
		},
		{
			ilosc_zebow: 3,
			rodzajFrezowania: 0,
			rodzajObrobki: 0,
			material: 2,
			chropowatosc: 0,
			tolerancja: 0,
			glebokoscSkrawania: 5,
			szerokoscSkrawania: 44.5,
			name: "CoroMill 245 R245-032A32-12M",
			plate: "R245-12 T3 E1 6190",
			predkoscObrotowaWrzeciona: 11200,
			predkoscSkrawania: 1510,
			predkoscPosuwu: 9220,
			posuwNaOstrze: 0.275,
			posuwNaObrot: 0.823,
			wydajnoscObjetosciowa: 461,
		},
		{
			ilosc_zebow: 3,
			rodzajFrezowania: 2,
			rodzajObrobki: 1,
			material: 1,
			chropowatosc: 0,
			tolerancja: 0,
			glebokoscSkrawania: 5,
			szerokoscSkrawania: 40,
			name: "CoroMill 331 R331.35C-040A16CM060",
			plate: "R331.1A-04 35 15H-WL1040",
			predkoscObrotowaWrzeciona: 1790,
			predkoscSkrawania: 225,
			predkoscPosuwu: 542,
			posuwNaOstrze: 0.151,
			posuwNaObrot: 0.303,
			wydajnoscObjetosciowa: 7.67,
		},
		{
			ilosc_zebow: 3,
			rodzajFrezowania: 1,
			rodzajObrobki: 1,
			material: 0,
			chropowatosc: 4,
			tolerancja: 0,
			glebokoscSkrawania: 10,
			szerokoscSkrawania: 25,
			name: "CoroMill 790 R790-025A25S2-16L",
			plate: "R790-160408PH-PL 1130",
			predkoscObrotowaWrzeciona: 4090,
			predkoscSkrawania: 321,
			predkoscPosuwu: 3270,
			posuwNaOstrze: 0.4,
			posuwNaObrot: 0.799,
			wydajnoscObjetosciowa: 3.27,
		},
		{
			ilosc_zebow: 3,
			rodzajFrezowania: 2,
			rodzajObrobki: 0,
			material: 0,
			chropowatosc: 0,
			tolerancja: 0,
			glebokoscSkrawania: 10,
			szerokoscSkrawania: 50,
			name: "CoroMill 331 R331.35C-051M25EMA06",
			plate: "L331.1A-05 45 15H-WL1130",
			predkoscObrotowaWrzeciona: 1950,
			predkoscSkrawania: 311,
			predkoscPosuwu: 736,
			posuwNaOstrze: 0.126,
			posuwNaObrot: 0.377,
			wydajnoscObjetosciowa: 47.6,
		},
	],
};
